Qt 5.6 | Qt 3D | C++ Classes | QScenePropertyChange

Qt 5.6.3 Reference Documentation

# QScenePropertyChange Class

(Qt3DCore::QScenePropertyChange)

Header: | #include <QScenePropertyChange>
qmake: | QT += 3dcore
Inherits: | QSceneChange
Inherited By: | Qt3DCore::QBackendScenePropertyChange

- List of all members, including inherited members

## Public Functions

| QScenePropertyChange(ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)
virtual | ~QScenePropertyChange()
const char * | propertyName() const
void | setPropertyName(const char *name)
void | setValue(const QVariant &value)
QVariant | value() const

- 5 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QScenePropertyChange(QScenePropertyChangePrivate &dd, ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)

## Detailed Description

## Member Function Documentation

### QScenePropertyChange::QScenePropertyChange(ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)

Default constructs an instance of QScenePropertyChange.

### `[protected]` QScenePropertyChange::QScenePropertyChange(QScenePropertyChangePrivate &dd, ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)

Copy constructor.

### `[virtual]` QScenePropertyChange::~QScenePropertyChange()

Destroys the instance of QScenePropertyChange. The destructor is virtual.

### const char *QScenePropertyChange::propertyName() const

See also setPropertyName().

### void QScenePropertyChange::setPropertyName(const char *name)

See also propertyName().

### void QScenePropertyChange::setValue(const QVariant &value)

See also value().

### QVariant QScenePropertyChange::value() const

See also setValue().